Bug 495702 - Review Request: perl-XXX - See Your Data in the Nude
Review Request: perl-XXX - See Your Data in the Nude
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Iain Arnell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-14 09:16 EDT by Marcela Mašláňová
Modified: 2009-04-24 02:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-24 02:40:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
iarnell: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Marcela Mašláňová 2009-04-14 09:16:16 EDT
Spec URL: http://mmaslano.fedorapeople.org/review/perl-XXX.spec
SRPM URL: http://mmaslano.fedorapeople.org/review/perl-XXX-0.12-1.fc11.src.rpm
Description:
XXX.pm exports a function called XXX that you can put just about
anywhere in your Perl code to make it die with a YAML dump of the
arguments to its right.

The charm of XXX-debugging is that it is easy to type and rarely
requires parens and stands out visually so that you remember to remove
it.

XXX.pm also exports WWW, YYY and ZZZ which do similar debugging things.

To use Data::Dumper instead of YAML:
   use XXX -dumper;
Comment 1 Iain Arnell 2009-04-14 23:45:23 EDT
fails to build in koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=1299548 (missing BR on EU::MM)
Comment 3 Iain Arnell 2009-04-22 10:48:47 EDT
+ source files match upstream.  
  a9c46c1499d0ceae91504fe5fbcaade3173ebdfe  XXX-0.12.tar.gz

+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ summary is OK.
+ description is OK.
+ dist tag is present.
+ build root is OK.
+ license field matches the actual license.
  GPL+ or Artistic

+ license is open source-compatible.
+ license text not included upstream.
+ latest version is being packaged.
+ BuildRequires are proper.
+ compiler flags are appropriate.
+ %clean is present.
+ package builds in mock
  http://koji.fedoraproject.org/koji/taskinfo?taskID=1314592

+ package installs properly.
+ rpmlint has no complaints:
  perl-XXX.noarch: I: checking
  perl-XXX.src: I: checking
  2 packages and 0 specfiles checked; 0 errors, 0 warnings.

+ final provides and requires are sane:
  perl(XXX) = 0.12
  perl-XXX = 0.12-2.fc12

=
  perl >= 0:5.006001
  perl(:MODULE_COMPAT_5.10.0)  
  perl(base)  
  perl(strict)  
  perl(warnings)  
  rpmlib(CompressedFileNames) <= 3.0.4-1
  rpmlib(FileDigests) <= 4.6.0-1
  rpmlib(PayloadFilesHavePrefix) <= 4.0-1
  rpmlib(VersionedDependencies) <= 3.0.3-1

+ %check is present and all tests pass.
  t/test.t .. ok
  t/yyy.t ... ok
  All tests successful.
  Files=2, Tests=2,  0 wallclock secs ( 0.01 usr  0.00 sys +  0.04 cusr  0.02 csys =  0.07 CPU)
  Result: PASS

+ no shared libraries are added to the regular linker search paths.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no generically named files
+ code, not content.
+ documentation is small, so no -doc subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.


APPROVED
Comment 4 Marcela Mašláňová 2009-04-23 01:19:17 EDT
New Package CVS Request
=======================
Package Name: perl-XXX
Short Description: See Your Data in the Nude
Owners: mmaslano
Branches: F-11
InitialCC: perl-sig
Comment 5 Kevin Fenzi 2009-04-23 12:35:37 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.